MappingStep Struct Reference

## Data Fields

int | x
int | y
double | angle
int | marker
char * | field
int | axis
int | button
int | hat
int | hat_value
char | mapping [4096]

## Detailed Description

Definition at line 38 of file controllermap.c.

## Field Documentation

double MappingStep::angle

Definition at line 41 of file controllermap.c.

Referenced by WatchJoystick().

int MappingStep::axis

Definition at line 44 of file controllermap.c.

Referenced by WatchJoystick().

int MappingStep::button

Definition at line 44 of file controllermap.c.

Referenced by WatchJoystick().

char* MappingStep::field

Definition at line 43 of file controllermap.c.

Referenced by WatchJoystick().

int MappingStep::hat

Definition at line 44 of file controllermap.c.

Referenced by WatchJoystick().

int MappingStep::hat_value

Definition at line 44 of file controllermap.c.

Referenced by WatchJoystick().

char MappingStep::mapping[4096]

Definition at line 45 of file controllermap.c.

Referenced by WatchJoystick().

int MappingStep::marker

Definition at line 42 of file controllermap.c.

Referenced by WatchJoystick().

int MappingStep::x

Definition at line 40 of file controllermap.c.

Referenced by WatchJoystick().

int MappingStep::y

Definition at line 40 of file controllermap.c.

Referenced by WatchJoystick().

The documentation for this struct was generated from the following file:

- test/controllermap.c